export interface IHistogramEntry {
    from: number;
    to: number;
    count: number;
}
export declare class Tally {
    private _cnt;
    private _min;
    private _max;
    private _sum;
    private _sum2;
    private _histo;
    private _histoParms;
    constructor(options?: any);
    get min(): number;
    get max(): number;
    get cnt(): number;
    get avg(): number;
    get var(): number;
    get stdev(): number;
    add(value: number, weight?: number): void;
    getHistogram(): IHistogramEntry[] | null;
    getHistogramChart(title?: string, scale?: number): string;
    setHistogramParameters(binSize: number | null, min?: number | null, max?: number | null): void;
    reset(): void;
}
